from api_graphql.abc.db_model_filter_abc import DbModelFilterABC
from api_graphql.abc.filter.string_filter import StringFilter


class ShortUrlFilter(DbModelFilterABC):
    def __init__(
        self,
        obj: dict,
    ):
        DbModelFilterABC.__init__(self, obj)

        self.add_field("short_url", StringFilter)
        self.add_field("target_url", StringFilter)
        self.add_field("description", StringFilter)
